<?php
if(defined("__EMREM_CONFIG__")) return;
define("__EMREM_CONFIG__", 1);

// Include other files
include 'functions.php';
include 'class.emrem.php';

/*
 * DATABASE CONFIGURATION
 */

$config['db']       = 'mysql';
$config['host']     = 'localhost';
$config['database'] = 'emrem';
$config['table']    = 'reminders';
$config['username'] = 'root';
$config['password'] = '';

/*
 * MAIL CONFIGURATION
 */

$config['mail_subj_prepend'] = '[Reminder] ';
$config['mail_from'] = 'Email Reminders <yourname@yourdomain.com>';

/*
 * FILE LOCATION CONFIGURATION
 */

$config['base_url'] = '/emrem/';
$config['base_dir'] = '/Library/WebServer/Documents/emrem';

/*
 * Pull in PEAR DB and make connection
 */

$dsn = $config['db'] . '://' . 
       $config['username'] . ':' . 
       $config['password'] . '@' . 
       $config['host'] . '/' . 
       $config['database'];

include 'DB.php';  
$db = DB::connect($dsn);
if (DB::iserror($db)) 
{
  die('Database Connect error: ' . $db->getMessage() . '<br>DSN: ' . $dsn);
}
?>
