#
# Create database 'reminders'
#
DROP DATABASE IF EXISTS emrem;
CREATE DATABASE emrem;
USE emrem;
#
# Table structure for table 'reminders'
#
CREATE TABLE reminders (
  id int(11) DEFAULT NULL auto_increment,
  email_to varchar(255) not null,
  email_subject varchar(255) not null,
  email_body text not null,
  date_day int(3) not null,
  date_month int(3) not null,
  date_year int(6) not null,
  date_hour int(3) not null,
  recur_every int(6) not null,
  recur_interval varchar(32) not null,
  PRIMARY KEY (id)
);
